<?php
//--------------------------------------------------------------------
// *** Topic Path ***
// LAST UPDATE: 2009/05/30
// Version    : 1.21
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "1.21";

global $blogn_admin;
if (!$blogn_admin) exit;

$inifile = BLOGN_MODDIR.$module_name.'/config.cgi';
$inis = file($inifile);
list($top, $sep) = explode(",", $inis[0]);

$menu = array(1 => "設定", "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";

switch($_POST["method"]) {
	case "edit":
		$top = str_replace(",", "&#x2c;", trim(htmlspecialchars($_POST["top"])));
		if (!$top) $top = "HOME";
		$sep = str_replace(",", "&#x2c;", trim(htmlspecialchars($_POST["sep"])));
		if (!$sep) $sep = "&gt;";
		$fp = fopen($inifile, "w");
		fwrite($fp, "$top,$sep,\r\n", 100);
		fclose($fp);

		$message = "設定を変更しました。";
		$loadtabs = "1";
		break;
	default :
		$loadtabs = "1";
		break;
}

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>パンくずリスト表示モジュール (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("設定", $menu).'">
<form method="post" action="./admin.php?mode=module&amp;action=edit">
<input type="hidden" name="blogn_module_name" value="'.$module_name.'">

<div class="blogn_bar">設定</div>
<table border="1" cellspacing="0" cellpadding="3" width="400">
<tr bgcolor="#dcdcdc"><th colspan="2">出力設定</th></tr>

<tr><td bgcolor="#e9e9e9"><strong>最上位に表示される文字列</strong></td>
<td>
<input type="text" name="top" value="'.$top.'" size="40" />
</td>
</tr>

<tr><td bgcolor="#e9e9e9"><strong>項目間のマーク</strong></td>
<td>
<input type="text" name="sep" value="'.$sep.'" size="40" />
</td>
</tr>

</table>

<input type="hidden" name="method" value="edit">
<input type="submit" value="変更"'.formatStyle($style["button"]).'>
<span'.formatStyle($style["message"]).'>'.$message.'</span>
</form>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{TOPICPATH}</td><td>パンくずリストを表示</td><td>必須</td></tr>
</table>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「config.cgi」のパーミッションを「666」等に変更する。</li>
<li>スキンの HTML ファイルに独自タグを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ スキンの HTML ファイルへの記述例</h3>
<p'.formatStyle($style["mod_p"]).'>スキンの適当な場所に独自タグを記述してください。</p>
<pre'.formatStyle($style["pre"]).'>
<b'.formatStyle($style["red"]).'>{TOPICPATH}</b>
</pre>

</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_bcl.shtml" target="_blank">パンくずリスト表示モジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ topicpath /</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>config.cgi</span></li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
<li'.formatStyle($style["pack_3"]).'>- viewer.php</li>
</ul>

<p'.formatStyle($style["mod_p"]).'><span'.formatStyle($style["red"]).'>赤文字のファイル</span>のパーミッションは「666」や「606」に変更してください。</p>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>PC 用スキンに独自タグを記述した場合、「PC」欄を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
<dt>携帯</dt><dd>携帯 用スキンに独自タグを記述した場合、「携帯」欄 を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

</div>
<hr'.formatStyle($style["hr"]).' />
</div>


</div>
</div>
</div>';

?>
